import unittest

from squirrelbattle.translations import gettext as _, setlocale


class TestTranslations(unittest.TestCase):
    def setUp(self) -> None:
        setlocale("fr")

    def test_translations(self):
        """
        Ensure that some strings are well-translated.
        """
        self.assertEqual(_("New game"), "Nouvelle partie")
        self.assertEqual(_("Resume"), "Continuer")
        self.assertEqual(_("Load"), "Charger")
        self.assertEqual(_("Save"), "Sauvegarder")
        self.assertEqual(_("Settings"), "Paramètres")
        self.assertEqual(_("Exit"), "Quitter")
